# Uses of Class
org.apache.sling.event.impl.jobs.scheduling.ScheduledJobInfoImpl

Packages that use ScheduledJobInfoImpl
Package
Description
org.apache.sling.event.impl.jobs.scheduling

## Uses of ScheduledJobInfoImpl in org.apache.sling.event.impl.jobs.scheduling

Fields in org.apache.sling.event.impl.jobs.scheduling declared as ScheduledJobInfoImpl
Modifier and Type
Field
Description
`ScheduledJobInfoImpl`
ScheduledJobHandler.Holder.`info`
Methods in org.apache.sling.event.impl.jobs.scheduling that return ScheduledJobInfoImpl
Modifier and Type
Method
Description
`ScheduledJobInfoImpl`
ScheduledJobHandler.`addOrUpdateJob(String jobTopic, Map<String,Object> jobProperties, String scheduleName, boolean suspend, List<ScheduleInfoImpl> scheduleInfos)`
Write a scheduled job to the resource tree.
Methods in org.apache.sling.event.impl.jobs.scheduling with parameters of type ScheduledJobInfoImpl
Modifier and Type
Method
Description
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
JobSchedulerImpl.`createJobBuilder(ScheduledJobInfoImpl info)`
Create a schedule builder for a currently scheduled job
`void`
ScheduledJobHandler.`remove(ScheduledJobInfoImpl info)`
Remove a scheduled job
`void`
JobSchedulerImpl.`removeJob(ScheduledJobInfoImpl info)`
Remove a scheduled job
`void`
JobSchedulerImpl.`scheduleJob(ScheduledJobInfoImpl info)`
Add a scheduled job
`void`
JobSchedulerImpl.`setSuspended(ScheduledJobInfoImpl info, boolean flag)`
Change the suspended flag for a scheduled job
`void`
JobSchedulerImpl.`unscheduleJob(ScheduledJobInfoImpl info)`
Unschedule a scheduled job